local t = Def.ActorFrame {
	FOV=90;
	LoadSongBackground() .. {
		InitCommand=cmd(diffuse,DarkColor(cRed);visible,false);
		ShowDangerAllMessageCommand=cmd(stoptweening;visible,true;);
		HideDangerAllMessageCommand=cmd(stoptweening;visible,false;);
--[[ 		OnCommand=cmd(diffusealpha,0;linear,0.5;diffusealpha,0.25;);
		OffCommand=cmd(linear,0.3;diffusealpha,0); --]]
	};		
--[[ 	Def.ActorFrame {
		Def.ActorFrame {
			InitCommand=cmd(pulse;effecttiming,1,0,0,0;effectmagnitude,1,1.4,1;visible,false);
			ShowDangerAllMessageCommand=cmd(stoptweening;visible,true;);
			HideDangerAllMessageCommand=cmd(stoptweening;visible,false;);
			LoadSongBackground() .. {
				InitCommand=cmd(Center;diffuse,cRed;diffusealpha,0.5;diffuseramp;effectcolor2,1,0,0,1;effectcolor1,0.5,0,0,0);
			};	
		};
	}; --]]
    Def.Quad {
        InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;blend,'BlendMode_Add';diffusealpha,0.2);
        OnCommand=cmd(visible,false;diffuseshift;effectcolor2,1,0,0,1;effectcolor1,0.25,0,0,1;effectperiod,2;effectclock,'bgm');
		ShowDangerAllMessageCommand=cmd(stoptweening;visible,true;);
		HideDangerAllMessageCommand=cmd(stoptweening;visible,false;);
    };
    Def.Quad {
        InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;);
        OnCommand=cmd(visible,false;);
		ShowDangerAllMessageCommand=cmd(stoptweening;visible,true;decelerate,0.6;diffusealpha,0;);
		HideDangerAllMessageCommand=cmd(stoptweening;visible,false;diffusealpha,1);
    };
};
--[[ t[#t+1] = Def.ActorFrame {
 Condition=GAMESTATE:GetCurrentSong():GetDisplayFullTitle() == "Me And My Lover";
	Def.Quad {
		InitCommand=cmd(FullScreen;diffuse,color("#ec008c");blend,"BlendMode_Add";diffusealpha,0.2);
	};	
	Def.Quad {
		InitCommand=cmd(FullScreen;diffuse,color("#ec008c");blend,"BlendMode_WeightedMultiply");
	};
	Def.ActorFrame {
	 InitCommand=cmd(bob);
		LoadActor("lol") .. {
			InitCommand=cmd(zoom,1.5;y,SCREEN_BOTTOM+64;x,SCREEN_CENTER_X+160;vertalign,bottom;wag;effectmagnitude,0,8,8;effectperiod,1;effectclock,'beat';blend,"BlendMode_WeightedMultiply");
		};
		LoadActor("lol") .. {
			InitCommand=cmd(y,SCREEN_BOTTOM+24;x,SCREEN_CENTER_X+160;vertalign,bottom;wag;effectmagnitude,0,8,8;effectperiod,1;effectclock,'beat');
		};
	};
}; --]]

return t;
